# -*- encoding: utf-8 -*-
# stub: azure_mgmt_iot_central 0.18.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_iot_central".freeze
  s.version = "0.18.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_iot_central" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2022-10-26"
  s.description = "Microsoft Azure IotCentral Management Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2017-07-01-privatepreview".freeze, "lib/2017-07-01-privatepreview/generated".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/apps.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/iot_central_client.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/app.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/app_list_result.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/app_name_availability_info.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/app_name_unavailability_reason.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/app_patch.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/app_sku.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/app_sku_info.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/error_details.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/operation.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/operation_display.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/operation_inputs.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/operation_list_result.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/models/resource.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/module_definition.rb".freeze, "lib/2017-07-01-privatepreview/generated/azure_mgmt_iot_central/operations.rb".freeze, "lib/2018-09-01".freeze, "lib/2018-09-01/generated".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/apps.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/iot_central_client.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app_availability_info.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app_list_result.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app_patch.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app_sku.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app_sku_info.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app_template.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/app_templates_result.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/error_details.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/error_response_body.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/operation.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/operation_display.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/operation_inputs.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/operation_list_result.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/models/resource.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/module_definition.rb".freeze, "lib/2018-09-01/generated/azure_mgmt_iot_central/operations.rb".freeze, "lib/azure_mgmt_iot_central.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/iotcentral_latest_profile_client.rb".freeze, "lib/profiles/latest/iotcentral_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/iotcentral_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure IotCentral Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
